%define	profiledir	%{_sysconfdir}/profile.d

Name:		cdargs
Version:	1.35
Release:	3%{?dist}
Summary:	The shell cd with bookmarks and browser

Group:		Applications/File
License:	GPLv2+
URL:		http://www.skamphausen.de/software/cdargs/
Source0:	http://www.skamphausen.de/software/cdargs/%{name}-%{version}.tar.gz
Source1:	%{name}-%{version}_emacs-init.el
Patch0:		%{name}-%{version}_shebangs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel

%description
Enables the user to quickly change working directory by navigating cd arguments
and expanding the shell built-in cd with bookmarks and browser.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%package -n emacs-cdargs
Summary:	Cdargs support for Emacs
Group:		Applications/Editors

Requires:	%{name} = %{version}-%{release}
Requires:	emacs(bin) >= 22.1-8

%description -n emacs-cdargs
This is an Emacs front-end to cdargs. It provides a function (cv or
cdargs) which uses the same bookmarks list as the terminal program
cdargs and lets the user quickly make a directory listed there the
current working directory.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{profiledir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d

install -p -m 644 contrib/cdargs.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/cdargs.el
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d/cdargs-init.el
install -p -m 644 contrib/cdargs-bash.sh $RPM_BUILD_ROOT%{profiledir}/cdargs.sh
install -p -m 644 contrib/cdargs-tcsh.csh $RPM_BUILD_ROOT%{profiledir}/cdargs.csh
install -D -p -m 644 src/cdargs.h $RPM_BUILD_ROOT%{_includedir}/cdargs.h

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%{_bindir}/cdargs
%config(noreplace) %{profiledir}/cdargs.*
%doc %{_mandir}/man1/cdargs.1*
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO

%files devel
%defattr(-, root, root, -)
%{_includedir}/cdargs.h

%files -n emacs-cdargs
%defattr(-, root, root, -)
%{_datadir}/emacs/site-lisp/cdargs.el
%{_datadir}/emacs/site-lisp/site-start.d/cdargs-init.el

%changelog

* Sun Jan 11 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.35-3
- Fixed usage in other shells than bash: minor compatibility code changes and 
  no complains because completion doesn't work (fix BZ#479398).

* Tue Mar 25 2008 Milos Jakubicek <xjakub@fi.muni.cz> - 1.35-2
- Fixed non-capital starting letter in the summary of emacs-cdargs subpackage.

* Sat Mar 08 2008 Milos Jakubicek <xjakub@fi.muni.cz> - 1.35-1
- Initial package based on SRPM provided by author.
- Removed Packager: and Vendor: field.
- Removed unnecessary making RPM_BUILD_ROOT directory.
- Changed license from GPL to GPLv2+.
- Extended description.
- Setup section is silent now (-p).
- Added SMP flags for building.
- Added directory mode to defattr.
- Added dist tag.
- Changed buildroot directory to default.
- Removed execute rights and shebangs (Patch0) from cdargs.sh, cdargs.csh as
  they will be only sourced, not executed.
- Both files cdargs.sh and cdargs.csh marked as config(noreplace).
- Added -devel subpackage with cdargs.h
- Added emacs-cdargs subpackage with cdargs.el
- Added emacs init script as Source1
